package Paws::CloudWatchEvents::SqsParameters;
  use Moose;
  has MessageGroupId => (is => 'ro', isa => 'Str');
1;

### main pod documentation begin ###

=head1 NAME

Paws::CloudWatchEvents::SqsParameters

=head1 USAGE

This class represents one of two things:

=head3 Arguments in a call to a service

Use the attributes of this class as arguments to methods. You shouldn't make instances of this class. 
Each attribute should be used as a named argument in the calls that expect this type of object.

As an example, if Att1 is expected to be a Paws::CloudWatchEvents::SqsParameters object:

  $service_obj->Method(Att1 => { MessageGroupId => $value, ..., MessageGroupId => $value  });

=head3 Results returned from an API call

Use accessors for each attribute. If Att1 is expected to be an Paws::CloudWatchEvents::SqsParameters object:

  $result = $service_obj->Method(...);
  $result->Att1->MessageGroupId

=head1 DESCRIPTION

This structure includes the custom parameter to be used when the target
is an SQS FIFO queue.

=head1 ATTRIBUTES


=head2 MessageGroupId => Str

  The FIFO message group ID to use as the target.



=head1 SEE ALSO

This class forms part of L<Paws>, describing an object used in L<Paws::CloudWatchEvents>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

