
package Paws::PinpointEmail::GetDomainDeliverabilityCampaign;
  use Moose;
  has CampaignId => (is => 'ro', isa => 'Str', traits => ['ParamInURI'], uri_name => 'CampaignId', required => 1);

  use MooseX::ClassAttribute;

  class_has _api_call => (isa => 'Str', is => 'ro', default => 'GetDomainDeliverabilityCampaign');
  class_has _api_uri  => (isa => 'Str', is => 'ro', default => '/v1/email/deliverability-dashboard/campaigns/{CampaignId}');
  class_has _api_method  => (isa => 'Str', is => 'ro', default => 'GET');
  class_has _returns => (isa => 'Str', is => 'ro', default => 'Paws::PinpointEmail::GetDomainDeliverabilityCampaignResponse');
1;

### main pod documentation begin ###

=head1 NAME

Paws::PinpointEmail::GetDomainDeliverabilityCampaign - Arguments for method GetDomainDeliverabilityCampaign on L<Paws::PinpointEmail>

=head1 DESCRIPTION

This class represents the parameters used for calling the method GetDomainDeliverabilityCampaign on the
L<Amazon Pinpoint Email Service|Paws::PinpointEmail> service. Use the attributes of this class
as arguments to method GetDomainDeliverabilityCampaign.

You shouldn't make instances of this class. Each attribute should be used as a named argument in the call to GetDomainDeliverabilityCampaign.

=head1 SYNOPSIS

    my $email = Paws->service('PinpointEmail');
    my $GetDomainDeliverabilityCampaignResponse =
      $email->GetDomainDeliverabilityCampaign(
      CampaignId => 'MyCampaignId',

      );

    # Results:
    my $DomainDeliverabilityCampaign =
      $GetDomainDeliverabilityCampaignResponse->DomainDeliverabilityCampaign;

# Returns a L<Paws::PinpointEmail::GetDomainDeliverabilityCampaignResponse> object.

Values for attributes that are native types (Int, String, Float, etc) can passed as-is (scalar values). Values for complex Types (objects) can be passed as a HashRef. The keys and values of the hashref will be used to instance the underlying object.
For the AWS API documentation, see L<https://docs.aws.amazon.com/goto/WebAPI/email/GetDomainDeliverabilityCampaign>

=head1 ATTRIBUTES


=head2 B<REQUIRED> CampaignId => Str

The unique identifier for the campaign. Amazon Pinpoint automatically
generates and assigns this identifier to a campaign. This value is not
the same as the campaign identifier that Amazon Pinpoint assigns to
campaigns that you create and manage by using the Amazon Pinpoint API
or the Amazon Pinpoint console.




=head1 SEE ALSO

This class forms part of L<Paws>, documenting arguments for method GetDomainDeliverabilityCampaign in L<Paws::PinpointEmail>

=head1 BUGS and CONTRIBUTIONS

The source code is located here: L<https://github.com/pplu/aws-sdk-perl>

Please report bugs to: L<https://github.com/pplu/aws-sdk-perl/issues>

=cut

